Subject: New I-D: RESTauth (forget GSS)

From: Nico Williams <[email-masked]>
Date: Sat, 11 Aug 2012 02:40:30 -0500

Well, I've re-written REST-GSS as RESTful authentication but without
reference to GSS.  Those of you who panned GSS will be glad to see
that the new I-D is much simpler than the old one, no doubt.

It's not close to complete, of course, but I'll be polishing it off in
the next couple of weeks.  In particular I want to make sure to
complete sections on how to adapt existing authentication mechanisms
from SSHv2, IKEv2, SASL, GSS, and others into RESTauth, partly to
ensure that there's a large array of usable mechanism specifications,
and partly to showcase the ease with which mechanisms can be
added/adapted to RESTauth.

You can find the I-D here:

http://tools.ietf.org/html/draft-williams-http-rest-auth-00

Nico
--